Bug 75238 - TypeError: len() of unsized object in bootloaderInfo.py
TypeError: len() of unsized object in bootloaderInfo.py
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-05 16:15 EDT by adrian.lawrence
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
As dumped by anaconda, but passwords edited. (87.89 KB, text/plain)
2002-10-05 16:18 EDT, adrian.lawrence
no flags Details

  None (edit)
Description adrian.lawrence 2002-10-05 16:15:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
1) Installation aborts on anaconda type error. anacdump.txt attached

2) anaconda.txt included a password which I had to remove before publishing to
the whole world here :-(


How reproducible: Didn't try, but it looks deterministic.
Comment 1 adrian.lawrence 2002-10-05 16:18:15 EDT
Created attachment 78964 [details]
As dumped by anaconda, but passwords edited.
Comment 2 adrian.lawrence 2002-10-06 06:18:43 EDT
Additional information:
1) Media checked: OK.
2) Installation was via bootnet.img
3) Upgrade from 7.3 using FTP so text mode
4) Repeated 3 times: reproducible.
5) Attempt to upgrade via NFS rather than ftp did not hit *this* bug :-(
    Failed while install in progress: yet to be investigated.
Comment 3 Jeremy Katz 2002-10-07 16:40:47 EDT
What did the bootloader upgrade screen say about th ebootloader you currently
were using?
Comment 4 Michael Fulbright 2002-11-05 16:10:51 EST
Closing due to inactivity. Please reopen if you have additional information to
add to this report.
Comment 5 adrian.lawrence 2002-11-10 17:07:58 EST
1) The system (which is old) boots via dos: so anacoda could find
neither lilo nor grub. It correctly asked what to do and I selected "skip
the boot loader" option.
2) I have now successfully upgraded the machine using the graphical
installer via NFS.The bug that I mentioned there was filesystem falling
over when it encountered /usr/tmp as an existing directory. It tried to
make it a sym link to ../var/tmp. It was a directory /usr/tmp for
historical reasons when the root partition was almost full.
This unrelated bug might be a problem:
  a) with filesystem;
  b) with rpm not being able to cope with unexpected errors;
  c) with anaconda not being able to correct the problem.

(2) is not directly relevant to this 75238 which seems to be outstanding
in the textual install option.
Comment 6 Jeremy Katz 2003-01-03 01:27:11 EST
This is fixed in CVS now
Comment 7 Brent Fox 2003-05-25 10:51:46 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.